Subject: Re: [PATCH] [RFC] transport: add --show-service option

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Apr 2023 21:02:25 -0700

"ZheNing Hu via GitGitGadget" <[email-masked]> writes:

> From: ZheNing Hu <[email-masked]>
>
> Without using protocol v2, the git server needs to send a pktline
> "# service=$servicename" to the git client first. This often
> requires the git server to implement it independently, but it can
> be delegated to the `git receive-pack` and `git upload-pack` to complete
> the work proactively. Therefore, the `--show-service` option is added
> to `git receive-pack` and `git upload-pack`, which can be used to send
> the "# service=$servicename" pktline, making the logic of the git
> server more concise.
>
> Note that this `--show-service` option can only be used together with
> `--http-backend-info-refs` and it is not applicable when using protocol v2.
>
> Signed-off-by: ZheNing Hu <[email-masked]>
> ---

The above is a very well written description of why we _can_ do
this, but it is unclear why we would _want_ to do this.  What do we
gain by letting the individual services to declare "we are serving
this!"?  Do we lose an extra fork & process (it does not seem to be
the case)?